Bug 740127 - Provide our CPE name in a new system file
Summary: Provide our CPE name in a new system file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node
Version: 5.8
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 674911
Blocks: 674924 675666
TreeView+ depends on / blocked
 
Reported: 2011-09-21 02:35 UTC by Mike Burns
Modified: 2016-04-26 14:16 UTC (History)
20 users (show)

Fixed In Version: ovirt-node-1.0-71.el5
Doc Type: Bug Fix
Doc Text:
The Common Platform Enumeration (CPE) name has been updated to match the current release. The CPE name allows Red Hat Enterprise Virtualization Manager to identify itself in a universal way to other products in its environment.
Clone Of: 674911
Environment:
Last Closed: 2012-02-21 05:04:36 UTC


Attachments (Terms of Use)
Patch (791 bytes, patch)
2011-09-21 02:37 UTC, Mike Burns
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC

Description Mike Burns 2011-09-21 02:35:56 UTC
Need to update for 5.8

+++ This bug was initially created as a clone of Bug #674911 +++

CPE information needs to be changed:
<pmatouse> cpe:/o:redhat:enterprise_linux:5:update6:hypervisor
<pmatouse> for 5.6


# cat /etc/system-release-cpe
cpe:/o:redhat:enterprise_linux:5:update7:hypervisor

Comment 1 Mike Burns 2011-09-21 02:37:18 UTC
Created attachment 524117 [details]
Patch

Comment 3 Kate Grainger 2011-10-17 03:53:55 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The CPE name has been updated to match the current release:
# cat /etc/system-release-cpe
cpe:/o:redhat:enterprise_linux:5:update7:hypervisor

Comment 4 Alan Pevec 2011-10-17 06:59:29 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,3 +1,3 @@
 The CPE name has been updated to match the current release:
 # cat /etc/system-release-cpe
-cpe:/o:redhat:enterprise_linux:5:update7:hypervisor+cpe:/o:redhat:enterprise_linux:5:update8:hypervisor

Comment 5 Perry Myers 2011-10-17 12:18:55 UTC
I removed the file name from the Technical Note.  Since the end user has no visibility into the RHEVH filesystem, listing out a specific file on the filesystem is meaningless, and creates confusion for the end user in terms of whether or not directly accessing the RHEVH filesystem is supported.

Comment 6 Perry Myers 2011-10-17 12:18:55 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,3 +1 @@
-The CPE name has been updated to match the current release:
+The CPE name has been updated to match the current release.-# cat /etc/system-release-cpe
-cpe:/o:redhat:enterprise_linux:5:update8:hypervisor

Comment 7 Perry Myers 2011-10-17 12:19:57 UTC
Furthermore, shouldn't the technote define what CPE is?  Most customers will not recognize this acronym and that makes the tech note sort of useless

Comment 8 Kate Grainger 2011-10-18 06:06:51 UTC
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-The CPE name has been updated to match the current release.+The Common Platform Enumeration (CPE) name has been updated to match the current release. The CPE name allows Red Hat Enterprise Virtualization Manager to identify itself in a universal way to other products in its environment.

Comment 9 Kate Grainger 2011-10-18 06:07:48 UTC
Excellent points, all, Perry; thanks for the feedback!

Comment 10 cshao 2011-10-25 08:15:04 UTC
Test version:
rhev-hypervisor-5.8-20111019.0.el5

# cat /etc/issue
Red Hat Enterprise Virtualization Hypervisor release 5.8 (20111019.0.el5)
Kernel \r on an \m (\l)

# rpm -qa | grep ovirt-node
ovirt-node-1.0-72.el5

[root@cshao ~]# cat /etc/system-release-cpe 
cpe:/o:redhat:enterprise_linux:5:update8:hypervisor

So change bug status to VERIFIED.

Comment 11 errata-xmlrpc 2012-02-21 05:04:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0168.html


Note You need to log in before you can comment on or make changes to this bug.